
Figure - Bug #118364
【BSP】--【VC1】【实车】触屏点亮后屏幕反复熄屏，操作过程中也会熄屏
2023-05-30 15:38 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-30

Priority: Normal Due date:

Assignee: 物联网项目组-RD3_CDTS 周飞 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0095

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】  实车环境，车驾号 LJD8BB3F2P0000700

【问题时间】：5.27号下午 3点15到3点35

【前提条件】：实车上电，正常可用

【操作步骤】：中控进行语音测试

【预期结果】：副屏无异常

【实际结果】：副屏会频繁熄屏，触屏后点亮，过几秒又息屏。哪怕在不停操作 也会息屏

History

#1 - 2023-05-30 15:48 - CDTS_TEST 王成

- File 20230530-153143.mp4 added

- File 1685432883845.zip added

#2 - 2023-05-31 10:14 - CD BSP-余霄

- Assignee changed from CD BSP-杜磊 to CD SYSTEM-夏旭

Z:\home\thundersoft\HDD\Project\Figure\118364\1685432883845\FSEM_000131_0140_0527152805\kernel\000131_kernel_00346_230527_151036.log (68 hits)

    Line 1104: 05-27 15:18:36.799     0     0 I [ 6651.657093] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1128: 05-27 15:18:44.907     0     0 I [ 6659.760208] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1157: 05-27 15:18:46.673     0     0 I [ 6661.530434] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1176: 05-27 15:18:53.893     0     0 I [ 6668.748130] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1206: 05-27 15:18:56.521     0     0 I [ 6671.377815] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1225: 05-27 15:19:02.901     0     0 I [ 6677.760030] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1254: 05-27 15:19:04.758     0     0 I [ 6679.615412] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1273: 05-27 15:19:11.878     0     0 I [ 6686.732677] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1331: 05-27 15:19:23.548     0     0 I [ 6698.398265] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1344: 05-27 15:19:25.597     0     0 I [ 6700.453348] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1371: 05-27 15:19:26.745     0     0 I [ 6701.600237] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1380: 05-27 15:19:29.166     0     0 I [ 6704.023076] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1391: 05-27 15:19:29.755     0     0 I [ 6704.613157] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1396: 05-27 15:19:30.142     0     0 I [ 6704.997479] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1407: 05-27 15:19:31.277     0     0 I [ 6706.135591] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1427: 05-27 15:19:38.883     0     0 I [ 6713.737270] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1437: 05-27 15:19:39.169     0     0 I [ 6714.026797] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1465: 05-27 15:19:47.911     0     0 I [ 6722.764566] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1475: 05-27 15:19:48.138     0     0 I [ 6722.992362] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK
    Line 1498: 05-27 15:19:56.896     0     0 I [ 6731.763591] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1534: 05-27 15:20:03.596     0     0 I [ 6738.463921] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1547: 05-27 15:20:05.888     0     0 I [ 6740.752869] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1594: 05-27 15:20:16.933     0     0 I [ 6751.798619] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1620: 05-27 15:20:23.901     0     0 I [ 6758.765751] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1631: 05-27 15:20:24.688     0     0 I [ 6759.554966] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1656: 05-27 15:20:32.860     0     0 I [ 6767.724931] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1668: 05-27 15:20:33.864     0     0 I [ 6768.729199] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1689: 05-27 15:20:41.884     0     0 I [ 6776.748587] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1698: 05-27 15:20:42.688     0     0 I [ 6777.553973] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1721: 05-27 15:20:50.910     0     0 I [ 6785.773978] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1759: 05-27 15:20:55.404     0     0 I [ 6790.270438] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1772: 05-27 15:20:59.864     0     0 I [ 6794.731298] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1801: 05-27 15:21:01.376     0     0 I [ 6796.242231] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1822: 05-27 15:21:08.876     0     0 I [ 6803.743777] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

  Z:\home\thundersoft\HDD\Project\Figure\118364\1685432883845\FSEM_000131_0140_0527152805\kernel\000131_kernel_00347_230527_152428.log.ing (58 hits)

    Line 135: 05-27 15:25:23.382     0     0 I [ 7058.286952] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 154: 05-27 15:25:29.914     0     0 I [ 7064.819729] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 183: 05-27 15:25:31.254     0     0 I [ 7066.159153] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 202: 05-27 15:25:38.892     0     0 I [ 7073.794654] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 269: 05-27 15:25:53.514     0     0 I [ 7088.424811] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 282: 05-27 15:25:56.870     0     0 I [ 7091.783358] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 313: 05-27 15:25:59.194     0     0 I [ 7094.106975] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 330: 05-27 15:26:05.894     0     0 I [ 7100.806904] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 367: 05-27 15:26:11.362     0     0 I [ 7106.275195] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 380: 05-27 15:26:14.838     0     0 I [ 7109.750481] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 391: 05-27 15:26:15.487     0     0 I [ 7110.396759] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 412: 05-27 15:26:23.870     0     0 I [ 7118.783745] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 423: 05-27 15:26:24.850     0     0 I [ 7119.760102] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 445: 05-27 15:26:32.886     0     0 I [ 7127.796563] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 481: 05-27 15:26:38.544     0     0 I [ 7133.458312] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 494: 05-27 15:26:41.886     0     0 I [ 7136.799946] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 572: 05-27 15:27:01.179     0     0 I [ 7156.091555] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 595: 05-27 15:27:08.851     0     0 I [ 7163.760439] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 612: 05-27 15:27:08.938     0     0 I [ 7163.850852] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 640: 05-27 15:27:17.842     0     0 I [ 7172.755644] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 655: 05-27 15:27:19.938     0     0 I [ 7174.849695] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 700: 05-27 15:27:26.886     0     0 I [ 7181.799826] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 712: 05-27 15:27:27.930     0     0 I [ 7182.841932] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 735: 05-27 15:27:35.881     0     0 I [ 7190.794538] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 748: 05-27 15:27:36.842     0     0 I [ 7191.755322] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 773: 05-27 15:27:44.898     0     0 I [ 7199.808234] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 810: 05-27 15:27:53.797     0     0 I [ 7208.757771] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 821: 05-27 15:27:54.028     0     0 I [ 7208.986654] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 847: 05-27 15:28:02.815     0     0 I [ 7217.774685] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

  Z:\home\thundersoft\HDD\Project\Figure\118364\1685432883845\FSEM_000131_0141_0527155806\kernel\000131_kernel_00347_230527_152428.log (122 hits)

    Line  135: 05-27 15:25:23.382     0     0 I [ 7058.286952] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line  154: 05-27 15:25:29.914     0     0 I [ 7064.819729] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line  183: 05-27 15:25:31.254     0     0 I [ 7066.159153] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line  202: 05-27 15:25:38.892     0     0 I [ 7073.794654] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line  269: 05-27 15:25:53.514     0     0 I [ 7088.424811] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line  282: 05-27 15:25:56.870     0     0 I [ 7091.783358] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line  313: 05-27 15:25:59.194     0     0 I [ 7094.106975] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

2025-07-04 2/6



    Line  330: 05-27 15:26:05.894     0     0 I [ 7100.806904] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line  367: 05-27 15:26:11.362     0     0 I [ 7106.275195] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line  380: 05-27 15:26:14.838     0     0 I [ 7109.750481] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line  391: 05-27 15:26:15.487     0     0 I [ 7110.396759] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line  412: 05-27 15:26:23.870     0     0 I [ 7118.783745] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line  423: 05-27 15:26:24.850     0     0 I [ 7119.760102] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line  445: 05-27 15:26:32.886     0     0 I [ 7127.796563] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line  481: 05-27 15:26:38.544     0     0 I [ 7133.458312] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line  494: 05-27 15:26:41.886     0     0 I [ 7136.799946] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line  572: 05-27 15:27:01.179     0     0 I [ 7156.091555] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line  595: 05-27 15:27:08.851     0     0 I [ 7163.760439] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line  612: 05-27 15:27:08.938     0     0 I [ 7163.850852] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line  640: 05-27 15:27:17.842     0     0 I [ 7172.755644] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line  655: 05-27 15:27:19.938     0     0 I [ 7174.849695] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line  700: 05-27 15:27:26.886     0     0 I [ 7181.799826] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line  712: 05-27 15:27:27.930     0     0 I [ 7182.841932] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line  735: 05-27 15:27:35.881     0     0 I [ 7190.794538] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line  748: 05-27 15:27:36.842     0     0 I [ 7191.755322] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line  773: 05-27 15:27:44.898     0     0 I [ 7199.808234] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line  810: 05-27 15:27:53.797     0     0 I [ 7208.757771] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line  821: 05-27 15:27:54.028     0     0 I [ 7208.986654] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line  847: 05-27 15:28:02.815     0     0 I [ 7217.774685] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line  857: 05-27 15:28:03.073     0     0 I [ 7218.034421] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line  886: 05-27 15:28:11.830     0     0 I [ 7226.788917] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line  899: 05-27 15:28:13.297     0     0 I [ 7228.258763] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line  923: 05-27 15:28:20.817     0     0 I [ 7235.777042] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line  936: 05-27 15:28:21.617     0     0 I [ 7236.578873] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line  961: 05-27 15:28:29.837     0     0 I [ 7244.799170] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line  997: 05-27 15:28:34.033     0     0 I [ 7248.994288] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1028: 05-27 15:28:39.044     0     0 I [ 7254.006580] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1038: 05-27 15:28:39.113     0     0 I [ 7254.073417] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1066: 05-27 15:28:47.832     0     0 I [ 7262.794578] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1077: 05-27 15:28:47.921     0     0 I [ 7262.882108] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1101: 05-27 15:28:56.863     0     0 I [ 7271.820582] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1112: 05-27 15:28:57.065     0     0 I [ 7272.027170] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1140: 05-27 15:29:05.837     0     0 I [ 7280.798695] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1151: 05-27 15:29:05.916     0     0 I [ 7280.876914] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1175: 05-27 15:29:14.874     0     0 I [ 7289.832236] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1186: 05-27 15:29:15.538     0     0 I [ 7290.497306] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1212: 05-27 15:29:23.841     0     0 I [ 7298.800837] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1223: 05-27 15:29:24.429     0     0 I [ 7299.390410] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1245: 05-27 15:29:32.834     0     0 I [ 7307.793927] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1258: 05-27 15:29:32.905     0     0 I [ 7307.867625] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1282: 05-27 15:29:41.846     0     0 I [ 7316.805972] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1296: 05-27 15:29:42.380     0     0 I [ 7317.340577] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1323: 05-27 15:29:50.834     0     0 I [ 7325.794438] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1336: 05-27 15:29:51.449     0     0 I [ 7326.408897] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1359: 05-27 15:29:59.871     0     0 I [ 7334.812671] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1372: 05-27 15:30:00.365     0     0 I [ 7335.302975] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1397: 05-27 15:30:08.879     0     0 I [ 7343.823955] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1410: 05-27 15:30:09.039     0     0 I [ 7343.981800] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

    Line 1432: 05-27 15:30:17.875     0     0 I [ 7352.819932] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

    Line 1511: 05-27 15:30:36.303     0     0 I [ 7371.245040] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK
    Line 1548: 05-27 15:30:44.911     0     0 I [ 7379.849373] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

在15：18-15：30中发现大量上层下发的上下电请求，并且搜索了drm: DTC 以及加解串芯片，未见屏端异常。

请帮忙拆解，看一下哪些是手动量灭屏，哪些是异常灭屏。

#3 - 2023-05-31 11:47 - CD SYSTEM-夏旭

- File a.png added

1.发生时间在5.27号下午 3点15到3点35

FSEM_000131_0140_0527152805/logcat/000131_persist_00752_230527_151738.log:1577:05-27 15:18:31.974  2269  2429 D RemoteControlService: Client have

control

  FSEM_000131_0140_0527152805/logcat/000131_persist_00752_230527_151738.log:1578:05-27 15:18:31.974  2269  2429 I RemoteControlService:

RemoteScreenStatusQueryCommand doAction send message: 

{"source":0,"token":"xUlBFMNM9LiOAYA","type":"current_screen_status","value":"screen_off"}

FSEM_000131_0140_0527152805/logcat/000131_persist_00752_230527_151738.log:1579:05-27 15:18:31.974  2269  2429 D RemoteControlService: Digest:

48FB55406E78717663974DCC4CAB6C45B57C1ACE2C1B5659E3D86E597AAC5590

FSEM_000131_0140_0527152805/logcat/000131_persist_00752_230527_151738.log:1580:05-27 15:18:31.975  2269  2429 D RemoteControlService: Send data

length: 133

FSEM_000131_0140_0527152805/logcat/000131_persist_00752_230527_151738.log:1581:05-27 15:18:31.975  2269  2429 D RemoteControlService: Send message

finished. direction: 16, messageType: 37, json: {"source":0,"token":"xUlBFMNM9LiOAYA","type":"current_screen_status","value":"screen_off"}

FSEM_000131_0140_0527152805/logcat/000131_persist_00752_230527_151738.log:1582:05-27 15:18:31.975  2269  2429 D RemoteControlService:

RemoteScreenStatusQueryCommand ResponseSpeedTest - use time: 7

a.png

2.请确认这个上面发过来的请示是什么

是提示屏的状态 or 要求副屏灭屏

3. 祥林，请确认一下，上面第二点

#4 - 2023-05-31 11:51 - CD SYSTEM-夏旭

- Assignee changed from CD SYSTEM-夏旭 to CD TPM-王祥林

#5 - 2023-05-31 13:45 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD FW 曹覃刚

#6 - 2023-05-31 14:16 - CD FW-廖涛

- File 20230531-141544 added

- Category changed from BSP to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_TEST 王成

■ Current conclusion

从日志看，应该是在问题发生期间，中控通过遥控器获取了副屏的屏幕状态，然后接着就发送了 POWER 键命令，导致副屏关屏。

日志如下：

05-27 15:04:02.757  2269  2429 I RemoteControlService: RemoteScreenStatusQueryCommand doAction send message:

{"source":0,"token":"xUlBFMNM9LiOAYA","type":"current_screen_status","value":"screen_on"}

05-27 15:04:02.757  2269  2429 D RemoteControlService: Digest: FC57E33B36A45027F385A871229E59D3AE09AE0152D077E6D9F257201F797936
05-27 15:04:02.757  2269  2429 D RemoteControlService: Send data length: 133

05-27 15:04:02.757  2269  2429 D RemoteControlService: Send message finished. direction: 16, messageType: 37, json:

{"source":0,"token":"xUlBFMNM9LiOAYA","type":"current_screen_status","value":"screen_on"}

05-27 15:04:02.758  2269  2429 D RemoteControlService: RemoteScreenStatusQueryCommand ResponseSpeedTest - use time: 3

05-27 15:04:02.763  2269  2439 D RemoteControlService: getEvent: clientSocket = Socket[address=/192.168.4.4,port=45197,localPort=12600]

05-27 15:04:02.763  2269  2439 D RemoteControlService: run: called

05-27 15:04:02.763  2269  2439 D RemoteControlService: getEvent: start waiting...

05-27 15:04:02.763  2269 12244 E RemoteControlService: Enter ListenSocketRunnable

05-27 15:04:02.764  2269 12244 D RemoteControlService: After desEncrypt json is [{"type":"power","source":0,"token":"xUlBFMNM9LiOAYA","value":"click"}]

05-27 15:04:02.764  2269 12244 D RemoteControlService: buildRemoteCommand:type=5

05-27 15:04:02.764  2269 12244 D RemoteControlService: Request params: BaseRequestCommandBean{source=0, token='xUlBFMNM9LiOAYA', type='power',

value='click'}

05-27 15:04:02.764  2269  2429 D RemoteControlService: handleMessage called

05-27 15:04:02.764  2269  2429 D RemoteControlService: Client-192.168.4.4 handleHeartBeat:619

05-27 15:04:02.764  2269  2429 D RemoteControlService: Is not connect command

05-27 15:04:02.764  2269  2429 D RemoteControlService: haveControl ? clientcom.thundercomm.remotecontrolservice.RemoteControllerClient@218de0d

05-27 15:04:02.764  2269  2429 D RemoteControlService: Client have control

05-27 15:04:02.764  2269  2429 D RemoteControlService: do Action called

05-27 15:04:02.764  2269  2429 I RemoteControlService: injectKeyEvent: KeyEvent { action=ACTION_DOWN, keyCode=KEYCODE_POWER, scanCode=0,

metaState=0, flags=0x0, repeatCount=0, eventTime=5777520, downTime=5777520, deviceId=-1, source=0x101, displayId=-1 }

05-27 15:04:02.764  1235 13216 I intercept_power: [ACTION_DOWN,0,0]

05-27 15:04:02.765  2269  2429 I RemoteControlService: injectKeyEvent: KeyEvent { action=ACTION_UP, keyCode=KEYCODE_POWER, scanCode=0, metaState=0,

flags=0x0, repeatCount=0, eventTime=5777520, downTime=5777520, deviceId=-1, source=0x101, displayId=-1 }

05-27 15:04:02.765  1235 13216 I intercept_power: [ACTION_UP,0,0]

05-27 15:04:02.765  1235  1235 D WindowManager: powerPress: eventTime=5777520 interactive=true count=0 beganFromNonInteractive=false

mShortPressOnPowerBehavior=1

05-27 15:04:02.765  1235  1235 I PowerManagerService: Powering off display group due to power_button (groupId= 0, uid= 1000)...

05-27 15:04:02.765  1235  1235 I PowerManagerService: Going to sleep due to power_button (uid 1000)...

05-27 15:04:02.765  2269  2429 D RemoteControlService: Digest: 626EE35A9472B704FC31EFA1A38AA5247C42B0710196038C7E7C893F64CA2E3F

05-27 15:04:02.765  2269  2429 D RemoteControlService: Send data length: 117

05-27 15:04:02.766  1235  1235 I power_sleep_requested: 1

05-27 15:04:02.766  2269  2429 D RemoteControlService: Send message finished. direction: 16, messageType: 5, json:

{"source":0,"token":"xUlBFMNM9LiOAYA","type":"power","value":true}

05-27 15:04:02.766  1235  1598 I PowerManagerService: Sleeping display group (groupId=0, uid=1000)...

05-27 15:04:02.766  2269  2429 D RemoteControlService: RemoteKeyCommand ResponseSpeedTest - use time: 3

05-27 15:04:02.766  1235  1598 I PowerManagerService: Sleeping (uid 1000)...

■ Next action

测试确认并同步客户。

#7 - 2023-06-25 14:57 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to 物联网测试组_CDTS  唐霞 

在中控台架上做验证复测

#8 - 2023-07-17 17:27 - CDTS_TEST 王成

- Assignee changed from 物联网测试组_CDTS  唐霞  to 物联网项目组-RD3_CDTS 周飞

#9 - 2023-08-31 15:54 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED
中控遥控器功能已取消，本BUG关闭

#10 - 2023-08-31 15:56 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#11 - 2023-08-31 15:56 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

20230530-153143.mp4 4.84 MB 2023-05-30 CDTS_TEST 王成

1685432883845.zip 7.97 MB 2023-05-30 CDTS_TEST 王成

a.png 237 KB 2023-05-31 CD SYSTEM-夏旭

20230531-141544 668 KB 2023-05-31 CD FW-廖涛
